// BemInpView.h : interface of the CBemInpView class
//
/////////////////////////////////////////////////////////////////////////////

class CBemInpView : public CZoomView
{
protected: // create from serialization only
	CBemInpView();
	DECLARE_DYNCREATE(CBemInpView)

// Attributes
public:
	CBemInpDoc* GetDocument();

// Operations
public:
	BOOL IsNumNod,IsNumEl,IsNumInt,IsButDown;
	int LBut,prnum,type;
	float poten,deriv,dist,coef;
//	CArray <CPoint,CPoint&> area;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBemInpView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	void RevTran (float *gc,CPoint p,float& xb,float& yb);
	virtual ~CBemInpView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBemInpView)
	afx_msg void OnNodeAdd();
	afx_msg void OnNodeDelete();
	afx_msg void OnNodeMove();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnZoomIn();
	afx_msg void OnZoomOut();
	afx_msg void OnUpdateZoomIn(CCmdUI* pCmdUI);
	afx_msg void OnUpdateZoomOut(CCmdUI* pCmdUI);
	afx_msg void OnNumNode();
	afx_msg void OnUpdateNumNode(CCmdUI* pCmdUI);
	afx_msg void OnNumElem();
	afx_msg void OnUpdateNumElem(CCmdUI* pCmdUI);
	afx_msg void OnNumIntp();
	afx_msg void OnUpdateNumIntp(CCmdUI* pCmdUI);
	afx_msg void OnGeomNodeOpen();
	afx_msg void OnGeomNodeMouse();
	afx_msg void OnGeomElemAll();
	afx_msg void OnGeomElemAdd();
	afx_msg void OnGeomElemDel();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnInterAdd();
	afx_msg void OnInterAddMouse();
	afx_msg void OnInterDel();
	afx_msg void OnInterMove();
	afx_msg void OnInterOpen();
	afx_msg void OnUpdateInterMove(CCmdUI* pCmdUI);
	afx_msg void OnUpdateInterDel(CCmdUI* pCmdUI);
	afx_msg void OnBounNew();
	afx_msg void OnBounAll();
	afx_msg void OnUpdateBounAll(CCmdUI* pCmdUI);
	afx_msg void OnBounEdit();
	afx_msg void OnWellAdd();
	afx_msg void OnWellAddMouse();
	afx_msg void OnWellDelete();
	afx_msg void OnWellEdit();
	afx_msg void OnWellMove();
	afx_msg void OnZoomFull();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BemInpView.cpp
inline CBemInpDoc* CBemInpView::GetDocument()
   { return (CBemInpDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
